org.wildfly.swarm.config.io.worker

## Class Server<T extends Server<T>>

- java.lang.Object
- - org.wildfly.swarm.config.io.worker.Server<T>

-     public class Server<T extends Server<T>>
      extends Object

  Runtime resource that describes listening servers utilizing this worker

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Server(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Integer` | `connectionCount()` Estimate of the current connection count
    `T` | `connectionCount(Integer value)` Estimate of the current connection count
    `Integer` | `connectionLimitHighWaterMark()` If the connection count hits this number, no new connections will be accepted until the count drops below the low-water mark.
    `T` | `connectionLimitHighWaterMark(Integer value)` If the connection count hits this number, no new connections will be accepted until the count drops below the low-water mark.
    `Integer` | `connectionLimitLowWaterMark()` If the connection count has previously hit the high water mark, once it drops back down below this count, connections will be accepted again.
    `T` | `connectionLimitLowWaterMark(Integer value)` If the connection count has previously hit the high water mark, once it drops back down below this count, connections will be accepted again.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Server

          public Server(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### connectionCount

          public Integer connectionCount()

      Estimate of the current connection count

    - #### connectionCount

          public T connectionCount(Integer value)

      Estimate of the current connection count

    - #### connectionLimitHighWaterMark

          public Integer connectionLimitHighWaterMark()

      If the connection count hits this number, no new connections will be accepted until the count drops below the low-water mark.

    - #### connectionLimitHighWaterMark

          public T connectionLimitHighWaterMark(Integer value)

      If the connection count hits this number, no new connections will be accepted until the count drops below the low-water mark.

    - #### connectionLimitLowWaterMark

          public Integer connectionLimitLowWaterMark()

      If the connection count has previously hit the high water mark, once it drops back down below this count, connections will be accepted again.

    - #### connectionLimitLowWaterMark

          public T connectionLimitLowWaterMark(Integer value)

      If the connection count has previously hit the high water mark, once it drops back down below this count, connections will be accepted again.

Copyright © 2018 JBoss by Red Hat. All rights reserved.